### File

`packages/ecl/components/ecl-multiselect/ecl-multiselect-option.directive.ts`

### Description

Directive used to decorate and elements within a multiselect. Adds support for value, label, disabled, selected states and styling.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `optgroup[eclMultiselectOptgroup], option[eclMultiselectOption]`

### Index

###### Properties
changes eclOptionItems
###### Methods
isOptGroup getCssClasses
###### Inputs
disabled label selected value class e2eAttr tabindex
###### HostBindings
class
###### Accessors
disabled selected cssClasses

### Inputs

disabled
Type : `boolean`
Indicates that the option is disabled.

label
Type : `string`
Label displayed for the option.

selected
Type : `boolean`
Indicates that the option is selected.

value
Type : `string`
Value assigned to the option.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies ECL checkbox styling class to the option.

### Methods

isOptGroup
`isOptGroup()`
Returns true if this directive is applied to an element. Returns : `boolean`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

changes
Type : `unknown`
Default value : `new Subject()`
Emits whenever the option's state changes (used internally).

eclOptionItems
Type : `QueryList<EclMultiselectOptionDirective>`
Decorators : `@ContentChildren(undefined)`
Nested option directives (used for optgroups).

### Accessors

disabled
get `disabled()`
Indicates that the option is disabled. Returns : `boolean`
set `disabled(value: BooleanInput)`
Parameters :
Name | Type | Optional
value | `BooleanInput` | No
Returns : `void`

selected
get `selected()`
Indicates that the option is selected. Returns : `boolean`
set `selected(value: unknown)`
Parameters :
Name | Type | Optional
value | `unknown` | No
Returns : `void`

cssClasses
get `cssClasses()`
Applies ECL checkbox styling class to the option. Returns : `string`

# results matching ""

# No results matching ""